# cwltool.udocker

Enables Docker software containers via the udocker runtime.

## Classes

`UDockerCommandLineJob` | Runs a CommandLineJob in a software container using the udocker engine.

## Module Contents

class cwltool.udocker.UDockerCommandLineJob(builder, joborder, make_path_mapper, requirements, hints, name)

  Bases: `cwltool.docker.DockerCommandLineJob`

  Runs a CommandLineJob in a software container using the udocker engine.

  Parameters:

    - builder (cwltool.builder.Builder)

    - joborder (cwltool.utils.CWLObjectType)

    - make_path_mapper (collections.abc.Callable[[list[cwltool.utils.CWLObjectType], str, cwltool.context.RuntimeContext, bool], cwltool.pathmapper.PathMapper])

    - requirements (list[cwltool.utils.CWLObjectType])

    - hints (list[cwltool.utils.CWLObjectType])

    - name (str)

  static append_volume(runtime, source, target, writable=False, skip_mkdirs=False)

    Add binding arguments to the runtime list.

    Parameters:

      - runtime (list[str])

      - source (str)

      - target (str)

      - writable (bool)

      - skip_mkdirs (bool)

    Return type:

      None